> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get US Derivatives Balance Summary

> Get a summary of balances for CFM trading



## OpenAPI

````yaml GET /api/v3/brokerage/cfm/balance_summary
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/cfm/balance_summary:
    get:
      tags:
        - Futures
      summary: Get Futures Balance Summary
      description: Get a summary of balances for CFM trading
      operationId: RetailBrokerageApi_GetFCMBalanceSummary
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetFCMBalanceSummaryResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.fcm.GetFCMBalanceSummaryResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:transactions:read
components:
  schemas:
    coinbase.retail.rest.proxy.fcm.GetFCMBalanceSummaryResponse:
      type: object
      properties:
        balance_summary:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.FCMBalanceSummary
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.retail.rest.proxy.fcm.FCMBalanceSummary:
      type: object
      properties:
        futures_buying_power:
          description: >-
            The amount of your cash balance that is available to trade CFM
            futures
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        total_usd_balance:
          description: >-
            Aggregate USD maintained across your CFTC-regulated futures account
            and your Coinbase Inc. spot account
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        cbi_usd_balance:
          description: USD maintained in your Coinbase Inc. spot account
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        cfm_usd_balance:
          description: >-
            USD maintained in your CFTC-regulated futures account. Funds held in
            your futures account are not available to trade spot
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        total_open_orders_hold_amount:
          description: Your total balance on hold for spot and futures open orders
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        unrealized_pnl:
          description: Your current unrealized PnL across all open positions
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        daily_realized_pnl:
          description: >-
            Your realized PnL from the current trade date. May include profit or
            loss from positions you've closed on the current trade date
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        initial_margin:
          description: >-
            Margin required to initiate futures positions. Once futures orders
            are placed, these funds cannot be used to trade spot. The actual
            amount of funds necessary to support executed futures orders will be
            moved to your futures account
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        available_margin:
          description: >-
            Funds available to meet your anticipated margin requirement. This
            includes your CBI spot USD, CFM futures USD, and Futures PnL, less
            any holds for open spot or futures orders
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        liquidation_threshold:
          description: >-
            When your available funds for collateral drop to the liquidation
            threshold, some or all of your futures positions will be liquidated
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        liquidation_buffer_amount:
          description: >-
            Funds available in excess of the liquidation threshold, calculated
            as available margin minus liquidation threshold. If your liquidation
            buffer amount reaches 0, your futures positions and/or open orders
            will be liquidated as necessary
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        liquidation_buffer_percentage:
          type: string
          description: >-
            Funds available in excess of the liquidation threshold expressed as
            a percentage. If your liquidation buffer percentage reaches 0%, your
            futures positions and/or open orders will be liquidated as necessary
        intraday_margin_window_measure:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.FcmMarginWindowMeasure
        overnight_margin_window_measure:
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.FcmMarginWindowMeasure
        total_pending_transfers_amount:
          description: Total value of pending transfers
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
        funding_pnl:
          description: Portfolio funding PnL (only for US Perpetuals Futures)
          allOf:
            - $ref: '#/components/schemas/coinbase.consumer.shared.common.Amount'
    coinbase.consumer.shared.common.Amount:
      type: object
      properties:
        value:
          type: string
        currency:
          type: string
        cbrn:
          type: string
          title: >-
            CBRN Format: version:type:network:sub-network:id:sub-id

            Example:
            v1:token:solana:mainnet:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v:
      title: Message that represents the monetary amount.
    coinbase.retail.rest.proxy.fcm.FcmMarginWindowMeasure:
      type: object
      properties:
        margin_window_type:
          description: Your margin window
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.FcmMarginWindowType
        margin_level:
          description: Margin level for liquidation purposes
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.retail.rest.proxy.fcm.MarginLevelType
        initial_margin:
          type: string
          description: Initial margin
        maintenance_margin:
          type: string
          description: Maintenance margin
        liquidation_buffer:
          type: string
          description: Liquidation buffer
        total_hold:
          type: string
          description: Total Hold
        futures_buying_power:
          type: string
          description: >-
            The amount of your cash balance that is available to trade CFM
            futures
    coinbase.retail.rest.proxy.fcm.FcmMarginWindowType:
      type: string
      enum:
        - FCM_MARGIN_WINDOW_TYPE_UNSPECIFIED
        - FCM_MARGIN_WINDOW_TYPE_OVERNIGHT
        - FCM_MARGIN_WINDOW_TYPE_WEEKEND
        - FCM_MARGIN_WINDOW_TYPE_INTRADAY
        - FCM_MARGIN_WINDOW_TYPE_TRANSITION
      default: FCM_MARGIN_WINDOW_TYPE_UNSPECIFIED
    coinbase.retail.rest.proxy.fcm.MarginLevelType:
      type: string
      enum:
        - MARGIN_LEVEL_TYPE_UNSPECIFIED
        - MARGIN_LEVEL_TYPE_BASE
        - MARGIN_LEVEL_TYPE_WARNING
        - MARGIN_LEVEL_TYPE_DANGER
        - MARGIN_LEVEL_TYPE_LIQUIDATION
      default: MARGIN_LEVEL_TYPE_UNSPECIFIED
      title: margin level for liquidation purposes
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````